> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get execution data for a specific consumer and a specific datastore

> Returns execution data related to a consumer and a datastore. Queryparams can be used to filter the restuls by datastore column or by executionid



## OpenAPI

````yaml get /consumers/{consumer_id}/datastore/{datastoreid}/data
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/datastore/{datastoreid}/data:
    get:
      tags:
        - Consumers
      summary: Get execution data for a specific consumer and a specific datastore
      description: >-
        Returns execution data related to a consumer and a datastore.
        Queryparams can be used to filter the restuls by datastore column or by
        executionid
      operationId: datastores_get_consumer_and_datastoredata
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: datastoreid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Datastoreid
        - name: date_to
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Date To
        - name: date_from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Date From
        - name: executionid
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Executionid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DataItemOut'
                title: Response Datastores Get Consumer And Datastoredata
        '404':
          content:
            application/json:
              example:
                message: The datastore does not exist
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DataItemOut:
      properties:
        data:
          additionalProperties: true
          type: object
          title: Data
        id:
          type: string
          title: Id
        created_on:
          type: string
          format: date-time
          title: Created On
        modified_on:
          type: string
          format: date-time
          title: Modified On
      type: object
      required:
        - data
        - id
        - created_on
        - modified_on
      title: DataItemOut
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````